コンテンツへスキップ

Illusion Diffusion

統合

モデルID illusion-diffusion
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/illusion-diffusion?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: ≈$0.022 22 APIクレジット このページで実行

APIキーを取得
Open model テキストから画像 #composition#stylized

ControlNetを介して入力画像でテキストプロンプトを条件付けし、錯視風画像を生成

Open model · 画像

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

生成したい画像をできるだけ詳しく説明してください。最良の結果を得るには詳細な記述を使用します。

•必須 image_url
ファイルをドロップ、または

入力画像の URL。

image_size デフォルト square_hd

プリセットから選択するか、カスタムの幅と高さを指定する出力画像の寸法。カスタム寸法はどちらも8で割り切れる必要があります。

詳細設定 negative_prompt · scheduler · guidance_scale · controlnet_conditioning_scale · control_guidance_start · control_guidance_end · num_inference_steps · seed · enable_safety_checker
デフォルト

除外する画像の内容を指定するネガティブプロンプト。色、オブジェクト、景色、細部などを指定できます。例:口ひげ、ぼけ、低解像度。

scheduler デフォルト Euler

画像のデノイズに使用するスケジューラーまたはサンプラー。

デフォルト 7.5

画像選択におけるプロンプト準拠度。CFG(Classifier Free Guidance)として表します。

デフォルト 1

ControlNet 条件付けに適用するスケール。

デフォルト 0
デフォルト 1
デフォルト 40

Stable Diffusion が実行する生成ステップ数を制御します。ステップを追加すると、より詳細な最終画像が得られる場合があります。

画像生成シード。入力でシードを省略した場合はランダムに選ばれた値を含み、それ以外では指定値を繰り返します。

POST /run/illusion-diffusion?wait=20 見積もり → $0.022
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/illusion-diffusion?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Illusion Diffusionについて

必須の`image_url`と`prompt`を受け取り、画像の形状を生成画像に融合します。錯視アートに適しています。`controlnet_conditioning_scale`、`control_guidance_start`、`control_guidance_end`でソースが結果を誘導する強さを設定できます。`negative_prompt`、0〜50の`guidance_scale`、0〜80の推論ステップ、EulerまたはDPM++ Karras SDEスケジューラにも対応します。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
image_url必須 image
型url · image
入力画像の URL。
prompt必須
型string
生成したい画像をできるだけ詳しく説明してください。最良の結果を得るには詳細な記述を使用します。
negative_prompt任意
型string
デフォルト
除外する画像の内容を指定するネガティブプロンプト。色、オブジェクト、景色、細部などを指定できます。例:口ひげ、ぼけ、低解像度。
guidance_scale任意
型number
デフォルト7.5
≤ 50> 0
画像選択におけるプロンプト準拠度。CFG(Classifier Free Guidance)として表します。
controlnet_conditioning_scale任意
型number
デフォルト1
ControlNet 条件付けに適用するスケール。
control_guidance_start任意
型number
デフォルト0
0 – 1
control_guidance_end任意
型number
デフォルト1
0 – 1
seed任意
型integer | null
画像生成シード。入力でシードを省略した場合はランダムに選ばれた値を含み、それ以外では指定値を繰り返します。
scheduler任意
型enum
デフォルトEuler
DPM++ Karras SDEEuler
画像のデノイズに使用するスケジューラーまたはサンプラー。
num_inference_steps任意
型integer
デフォルト40
0 – 80
Stable Diffusion が実行する生成ステップ数を制御します。ステップを追加すると、より詳細な最終画像が得られる場合があります。
image_size任意
型object
デフォルトsquare_hd
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
プリセットから選択するか、カスタムの幅と高さを指定する出力画像の寸法。カスタム寸法はどちらも8で割り切れる必要があります。
enable_safety_checker任意
型boolean
デフォルトtrue
呼び出し元に権限がある場合、false に設定するとスクリーニングを緩和できます。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "illusion-diffusion",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 22,
    "usd": "0.022",
    "charged": 22,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
image
object {url, content_type, file_name, file_size, width, height}生成された画像のファイル情報。
seed
integer画像生成シード。入力でシードを省略した場合はランダムに選ばれた値を含み、それ以外では指定値を繰り返します。

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/illusion-diffusion.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt